	//---------------------------------------------------------------------------------------------------------
	// 27/Marzo/2019
	// Versión 1.0 Script encargado de recoger los datos de Facebook para => registrarse, loguearse 
	//---------------------------------------------------------------------------------------------------------
	
	(function(d, s, id){
		var js, fjs = d.getElementsByTagName(s)[0];
		if (d.getElementById(id)) {return;}
		js = d.createElement(s); js.id = id;
		js.src = "https://connect.facebook.net/es_ES/sdk.js";
		fjs.parentNode.insertBefore(js, fjs);
	}(document, 'script', 'facebook-jssdk'));

	window.fbAsyncInit = function() {
		FB.init({
			appId      : '570303323470919',	//Es el de arminet, cambiar por el del cliente si es necesario
			cookie     : true,
			xfbml      : true,
			version    : 'v3.2',
			oauth   : true,
			status  : true, // check login status
		});
		  
		FB.AppEvents.logPageView();   

		FB.getLoginStatus(function(response) {
			//Esta función lo que nos va a coger es el login de facebook en la página. En este caso no va a ser necesario, sólo lo seguiremos cuando el usuario se registre
			//statusChangeCallback(response);
		});
	};
	function facebookRegister(redirigir_a) {
		FB.api('/me?fields=id,name,email', function(response) {
		var id_token = response.id;
		var name = response.name;
		var email = response.email;
		//Vamos a crear un formulario ahora mismo, lo rellenamos con los datos y hacemos un submit:
		var formulario = $('<form>').attr({
		'method' : 'post'
		});
		$('<input>').attr({
		'type': 'hidden',
		'name': 'accion[]',
		'value' : 'facebook_register facebook_register'
		}).appendTo(formulario);
		$('<input>').attr({
		'type': 'hidden',
		'name': 'user_email',
		'value' : email
		}).appendTo(formulario);
		$('<input>').attr({
		'type': 'hidden',
		'name': 'id_token',
		'value' : id_token
		}).appendTo(formulario);
		$('<input>').attr({
		'type': 'hidden',
		'name': 'name',
		'value' : name
		}).appendTo(formulario);
		if (redirigir_a != null){
			$('<input>').attr({
			'type': 'hidden',
			'name': 'redirigir_a',
			'value' : redirigir_a
			}).appendTo(formulario);
		}
		//console.log(id_token);
		//console.log(formulario);
		formulario.hide();
		$(document.body).append(formulario);
		formulario.submit();
		  
		});
	}
	
	function facebookLogin(){
		FB.api('/me?fields=id,name,email', function(response) {
			var id_token = response.id;
			var name = response.name;
			var email = response.email;
			//Vamos a crear un formulario ahora mismo, lo rellenamos con los datos y hacemos un submit:
			var formulario = $('<form>').attr({
				'method' : 'post'
			});
			$('<input>').attr({
				'type': 'hidden',
				'name': 'accion[]',
				'value' : 'facebook_register facebook_login'
			}).appendTo(formulario);
			$('<input>').attr({
				'type': 'hidden',
				'name': 'user_email',
				'value' : email
			}).appendTo(formulario);
			$('<input>').attr({
				'type': 'hidden',
				'name': 'id_token',
				'value' : id_token
			}).appendTo(formulario);
			formulario.hide();
			$(document.body).append(formulario);
			formulario.submit();
		});
	}
	
	function fb_login(){
		//Hay que mirar si el usuario está logueado:
		var loggued = false;
		FB.getLoginStatus(function(response) {
			loggued = (response.status == 'connected') ? true : false;
		});
		if (!loggued){
			FB.login(function(response) {
				if (response.authResponse) {
					facebookRegister('cesta');
				}
			}, {
				scope: 'email'
			});
		}else{
			facebookRegister('cesta');
		}
	}
